Subject: Re: [PATCH 0/1] [GSOC] Use unsigned type for bit flags in commit-reach.c

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Feb 2025 13:16:16 -0800

Moumita <[email-masked]> writes:

> The `flags` variable holds multiple bitwise flags (PARENT1,
> PARENT2, STALE),these flags are defined using (1u << N), so maybe
> there will be no issues if it is changed from `int` to `unsigned
> int`

"This change will not break" is not a good reason to make the
change, though, as not making that change will not break anything,
either.

If you need to write something, say something that positively
justifies the change, explaining readers why it is a good thing to
do, and how the resulting code is _better_ than the original.

Thanks.